#
# TODO:
#   - review patches: wvstreams-cflags.patch, wvstreams-mk.patch
#   - check and/or package files:
#    /etc/uniconf.conf
#    /usr/bin/uni
#    /usr/bin/wsd
#    /usr/bin/wvtestrunner.pl
#    /usr/lib/valgrind/wvstreams.supp
#    /usr/sbin/uniconfd
#    /usr/share/man/man8/uni.8.gz
#    /usr/share/man/man8/uniconfd.8.gz
#    /var/lib/uniconf/uniconfd.ini
#
#
# Conditional build:
%bcond_without	doc	# don't build documentation
%bcond_without	slp	# build without openslp
#
Summary:	A network programming library written in C++
Summary(pl.UTF-8):	Biblioteka programowania sieciowego napisana w C++
Name:		wvstreams
Version:	4.6.1
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	2760dac31a43d452a19a3147bfde571c
Patch0:		%{name}-sort.patch
Patch1:		%{name}-cflags.patch
Patch2:		%{name}-mk.patch
Patch3:		%{name}-openssl.patch
Patch4:		%{name}-includes.patch
Patch5:		%{name}-4.2.2-multilib.patch
Patch6:		%{name}-4.5-noxplctarget.patch
Patch7:		%{name}-4.6.1-make.patch
Patch8:		%{name}-4.6.1-gcc47.patch
Patch9:		%{name}-4.6.1-magic.patch
URL:		http://alumnit.ca/wiki/index.php?page=WvStreams
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	dbus-devel >= 1.2.14
%{?with_doc:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
%{?with_slp:BuildRequires:	openslp-devel}
BuildRequires:	openssl-devel >= 0.9.7i
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
Obsoletes:	libwvstreams
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%description -l pl.UTF-8
WvStreams próbuje być wydajną, bezpieczną i łatwą w użyciu biblioteką
do tworzenia aplikacji sieciowych.

%package devel
Summary:	Development files for WvStreams
Summary(pl.UTF-8):	Pliki developerskie dla WvStreams
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	libwvstreams-devel

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the
files needed for developing applications which use WvStreams.

%description devel -l pl.UTF-8
WvStreams próbuje być wydajną, bezpieczną i łatwą w użyciu biblioteką
do tworzenia aplikacji sieciowych. Pakiet ten zawiera pliki niezbędne
do tworzenia aplikacji używających WvStreams.

%package static
Summary:	Static wvstreams library
Summary(pl.UTF-8):	Statyczna biblioteka wvstreams
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static wvstreams library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki wvstreams.

%prep
%setup -q
%patch0 -p1
#%%patch1 -p1
#%%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%configure \
	--with%{!?with_slp:out}-openslp \
	--without-vorbis

%{__make} -j1 \
	VPATH=%{_libdir} \
	DEBUG=%{?debug:1}%{!?debug:0} \
	CXX="%{__cxx}" \
	VERBOSE=1 \
	CXXOPTS="%{rpmcxxflags} -fPIC -fpermissive -fno-strict-aliasing -fno-tree-dce -fno-optimize-sibling-calls"
	COPTS="%{rpmcflags} -fPIC -fPIC -fno-strict-aliasing"

%if %{with doc}
%{__make} doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
#%if %{with doc}
#%doc Docs/doxy-html/*
#%endif
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/wvstreams
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Wed Oct 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wvstreams.git;a=log;h=master

* Wed Oct 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e9f6578
- rel 5; patches from FC; use CXXOPTS flags that prevent over optimization problems - also from FC

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 3a6a8e8
- added headers needed for getuid()
- rel 4

* Wed Jun 01 2011 lisu <lisu@pld-linux.org> 2b582b6
- rel 3

* Tue May 31 2011 lisu <lisu@pld-linux.org> 3bda772
- more includes on linux

* Tue May 31 2011 lisu <lisu@pld-linux.org> 03c1e6f
- fixed build (patch)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e2567d5
- release 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 2813fed
- BR: boost-devel, dbus-devel, pam-devel, pkgconfig, readline-devel, tcl-devel

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 079b9b6
- up to 4.6.1

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 52fd518
- release 2

* Tue Jan 06 2009 wrobell <wrobell@pld-linux.org> a2a8430
- ver. 4.5.1

* Tue Jan 06 2009 wrobell <wrobell@pld-linux.org> 0be0c6c
- fixed in wvstream 4.5 (or earlier)

* Tue Jan 06 2009 wrobell <wrobell@pld-linux.org> ce7b1ba
- no longer required

* Tue Jan 06 2009 wrobell <wrobell@pld-linux.org> f2756a0
- compilation fixes for wvstream 4.5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d12fd1c
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b189e7b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 893e535
- converted to UTF-8

* Wed Sep 06 2006 sparky <sparky@pld-linux.org> 5f7ddb8
- slp (openslp) bcond and BR

* Fri Sep 01 2006 havner <havner@pld-linux.org> 2811663
- fix amd64 build
- rel 3

* Wed Aug 23 2006 havner <havner@pld-linux.org> 46befea
- rel 2 for TH

* Mon Jul 31 2006 sparky <sparky@pld-linux.org> c245a53
- pass LDFLAGS to xplc
- put libs after objects, for correct linking with --as-needed

